import React from 'react';
import SandboxContextProvider from '../SandboxContextProvider';
import MainLayout from './layouts/MainLayout';
import { ThemeProvider } from './theme';
function Sandbox(props) {
    const { components, logo, theme, plugins } = props;
    return (<ThemeProvider theme={theme}>
      <SandboxContextProvider components={components} plugins={plugins}>
        <MainLayout components={components} logo={logo}/>
      </SandboxContextProvider>
    </ThemeProvider>);
}
export default Sandbox;
