import React from 'react';
import { Image } from 'react-native';
import { useTheme } from '../../theme';
// Project configuration allows for the same relative position from both source
// code and compiled output files. Attempts to use absolute paths were unreliable.
import getIconByName from '../../../../assets/icons';
const DEFAULT_ICON_SIZE = 18;
function Icon(props) {
    const { colors } = useTheme();
    const { name, size = DEFAULT_ICON_SIZE, color = colors.text, style, ...rest } = props;
    const icon = getIconByName(name);
    const { height, width } = Image.resolveAssetSource(icon);
    return (<Image source={icon} style={[{
                height: size,
                width: (height / width) * size,
                tintColor: color,
            }, style]} resizeMode="contain" resizeMethod='resize' {...rest}/>);
}
Icon.DefaultSize = DEFAULT_ICON_SIZE;
export default Icon;
