import React, { createContext, useContext } from 'react';
export const DefaultTheme = {
    colors: {
        text: 'black',
        background: 'white',
        surface: '#EEE',
        disabled: '#555',
        divider: '#CCC',
        info: '#3498db',
        warning: '#f1c40f',
        error: '#e74c3c',
        success: '#2ecc71',
    }
};
export const DarkTheme = {
    colors: {
        text: '#EEE',
        background: '#222',
        surface: '#111',
        disabled: '#777',
        divider: '#555',
        info: '#3498db',
        warning: '#f1c40f',
        error: '#e74c3c',
        success: '#2ecc71',
    },
};
const ThemeContext = createContext(DefaultTheme);
export function ThemeProvider(props) {
    const { theme = DefaultTheme, children } = props;
    return (<ThemeContext.Provider value={theme}>
            {children}
        </ThemeContext.Provider>);
}
export function useTheme() {
    return useContext(ThemeContext);
}
